#include <definitions>
__E_CFG_VERSION 0



__ACLASS __BGN
	__NAME MACBAR_APPLE_MENU
	__TOOLTIP_TEXT "Click to open Enlightenment Menu"	
	__TYPE __TYPE_NORMAL
	__BUTTON 1
	__EVENT __MOUSE_PRESS
	__ACTION __A_SHOW_MENU "named ROOT_2"
__END

/* ***************** MACBAR PSUEDO TASK LIST ******************** */

__ACLASS __BGN
  __NAME SHOW_TASKSLIDE
    	__TOOLTIP_TEXT "Click to Show the App List."
    	__TYPE __TYPE_NORMAL
    	__ALLOW_ANY_MODIFIER_KEYS __ON
	__BUTTON 1
     	__EVENT __MOUSE_PRESS
       	__ACTION __A_SHOW_MENU "taskmenu"
	__NEXT_ACTION
	__BUTTON 2
	__ACTION __A_SHOW_MENU "taskmenu"
__END

/* *************** x11amp SLIDEOUTBUTTONSSEXY *********** */

__ACLASS __BGN
	__NAME AMP_TITLE
	__TOOLTIP_TEXT "Use this to control x11amp"
	__TYPE __TYPE_NORMAL
	__BUTTON 1
	__EVENT __MOUSE_RELEASE
	__ACTION __A_SLIDEOUT ampslide
__END

__ACLASS __BGN
	__NAME AMP_PLAY
	__TYPE __TYPE_NORMAL
	__BUTTON 1
	__EVENT __MOUSE_RELEASE
	__ACTION __A_EXEC x11amp -p
__END

__ACLASS __BGN
	__NAME AMP_PAUSE
	__TYPE __TYPE_NORMAL
	__BUTTON 1
	__EVENT __MOUSE_RELEASE
	__ACTION __A_EXEC x11amp -u
__END

__ACLASS __BGN
	__NAME AMP_STOP
	__TYPE __TYPE_NORMAL
	__BUTTON 1
	__EVENT __MOUSE_RELEASE
	__ACTION __A_EXEC x11amp -s
__END

__ACLASS __BGN
	__NAME AMP_FWD
	__TYPE __TYPE_NORMAL
	__BUTTON 1
	__EVENT __MOUSE_RELEASE
	__ACTION __A_EXEC x11amp -f
__END

__ACLASS __BGN
	__NAME AMP_REW
	__TYPE __TYPE_NORMAL
	__BUTTON 1
	__EVENT __MOUSE_RELEASE
	__ACTION __A_EXEC x11amp -r
__END

__ACLASS __BGN
	__NAME AMP_SHOW
	__TYPE __TYPE_NORMAL
	__BUTTON 1
	__EVENT __MOUSE_RELEASE
	__ACTION __A_EXEC x11amp -m
__END

/* *********** WINDOWSS ************* */

__ACLASS __BGN
	__NAME MOVE_WINDOW
	__TOOLTIP_TEXT "Button 1: Click and drag to raise and move window.  Doubleclick to shade window."
	__TOOLTIP_TEXT "Button 2: Click to show Enlightenment Root Menu."
	__TOOLTIP_TEXT "Button 3: Click to show Window Ops menu."
	__TYPE __TYPE_NORMAL
	__BUTTON 1
	__EVENT __MOUSE_PRESS  
	__ACTION __A_RAISE  
	__ACTION __A_MOVE
	__NEXT_ACTION
	__MODIFIER_KEY __CTRL
	__ACTION __A_SHADE
	__NEXT_ACTION
	__MODIFIER_KEY __NONE
	__EVENT __DOUBLE_CLICK
	__ACTION __A_SHADE
	__NEXT_ACTION
	__BUTTON 2
	__EVENT __MOUSE_PRESS
	__ACTION __A_SHOW_MENU "named ROOT_2"
	__NEXT_ACTION
	__EVENT __MOUSE_PRESS
	__BUTTON 3   
	__ACTION __A_SHOW_MENU "named WINOPS_MENU"
__END

__ACLASS __BGN
        __NAME ACTION_MOVE_ONLY
        __TOOLTIP_TEXT "Click and move mouse to move window"
        __TYPE __TYPE_NORMAL
        __ALLOW_ANY_MODIFIER_KEYS __ON
	__ALLOW_ANY_BUTTON __ON
        __EVENT __MOUSE_PRESS
        __ACTION __A_RAISE
        __ACTION __A_MOVE
__END

__ACLASS __BGN
	__NAME ACTION_CLOSE
	__TOOLTIP_TEXT "Button 1: Close window."
	__TOOLTIP_TEXT "Button 3: Destroy window."
	__TYPE __TYPE_NORMAL
	__ALLOW_ANY_MODIFIER_KEYS __ON
	__BUTTON 1
	__EVENT __MOUSE_RELEASE
	__ACTION __A_RAISE
	__ACTION __A_KILL
	__NEXT_ACTION
	__BUTTON 3
	__EVENT __MOUSE_RELEASE
	__ACTION __A_RAISE
	__ACTION __A_KILL_NASTY
__END
__ACLASS __BGN
	__NAME ACTION_SHADE
	__TOOLTIP_TEXT "Button 1: Shade window."
	__TOOLTIP_TEXT "Button 2: Make window sticky."
	__TOOLTIP_TEXT "Button 3: Iconify window."
	__TYPE __TYPE_NORMAL
	__ALLOW_ANY_MODIFIER_KEYS __ON
	__BUTTON 1
	__EVENT __MOUSE_RELEASE
	__ACTION __A_SHADE
	__NEXT_ACTION
	__BUTTON 2
	__EVENT __MOUSE_RELEASE
	__ACTION __A_STICK
	__NEXT_ACTION
	__BUTTON 3
	__EVENT __MOUSE_RELEASE
	__ACTION __A_ICONIFY
__END
__ACLASS __BGN
	__NAME TAB_SHADE
	__TOOLTIP_TEXT "Button 1: Shade window."
	__TOOLTIP_TEXT "Button 2: Make window sticky."
	__TOOLTIP_TEXT "Button 3: WinOps Menu"
	__TYPE __TYPE_NORMAL
	__ALLOW_ANY_MODIFIER_KEYS __ON
	__BUTTON 1
	__EVENT __MOUSE_RELEASE
	__ACTION __A_SHADE
	__NEXT_ACTION
	__BUTTON 2
	__EVENT __MOUSE_RELEASE
	__ACTION __A_STICK
	__NEXT_ACTION
	__BUTTON 3
	__EVENT __MOUSE_RELEASE
	__ACTION __A_SHOW_MENU "named WINOPS_MENU"
__END
__ACLASS __BGN
	__NAME MAXIMIZE
	__TOOLTIP_TEXT "Button 1: Maximize window fully."
	__TOOLTIP_TEXT "Button 2: Maximize window vertically."
	__TOOLTIP_TEXT "Button 3: Maximize window horizontally."
	__TYPE __TYPE_NORMAL
	__ALLOW_ANY_MODIFIER_KEYS __ON
	__EVENT __MOUSE_RELEASE
	__BUTTON 1
	__ACTION __A_MAX_SIZE   
	/*__ACTION __A_SET_BORDER PAGER_WINDOW*/
	__NEXT_ACTION
	__BUTTON 2
	__ACTION __A_MAX_HEIGHT
	__NEXT_ACTION
	__BUTTON 3
	__ACTION __A_MAX_WIDTH
__END
__ACLASS __BGN
	__NAME ACTION_RESIZE
	__TOOLTIP_TEXT "Button 1: Click and drag to resize window."
	__TOOLTIP_TEXT "Button 3: Move window."
	__TYPE __NORMAL
	__ALLOW_ANY_MODIFIER_KEYS __ON
	__EVENT __MOUSE_PRESS
	__BUTTON 1
	__ACTION __A_RESIZE
	__NEXT_ACTION
	__BUTTON 3
	__ACTION __A_MOVE
__END

__ACLASS __BGN
  __NAME ACTION_RESIZE_H
  __TOOLTIP_TEXT "Hold down left mouse button and drag to resize this window"
  __TOOLTIP_TEXT "horizontally. Clicking right mouse button and dragging the mouse"
  __TOOLTIP_TEXT "around will move the window about instead."
  __TYPE __TYPE_NORMAL
  __EVENT __MOUSE_PRESS
  __ALLOW_ANY_MODIFIER_KEYS __ON
  __BUTTON 1
  __ACTION __A_RESIZE_H
  __NEXT_ACTION
  __BUTTON 3
  __ACTION __A_MOVE
__END

__ACLASS __BGN
  __NAME ACTION_RESIZE_V
  __TOOLTIP_TEXT "Hold down left mouse button and drag to resize this window"
  __TOOLTIP_TEXT "vertically. Clicking right mouse button and dragging the mouse"
  __TOOLTIP_TEXT "around will move the window about instead."
  __TYPE __TYPE_NORMAL
  __EVENT __MOUSE_PRESS
  __ALLOW_ANY_MODIFIER_KEYS __ON
  __BUTTON 1
  __ACTION __A_RESIZE_V
  __NEXT_ACTION
  __BUTTON 3
  __ACTION __A_MOVE
__END

/* ************ TASK STUFF ****************** */

__ACLASS __BGN
	__NAME TASK_TERM
	__TOOLTIP_TEXT "1: Eterm, 2: xterm, 3: rxvt"
	__TYPE __TYPE_NORMAL
	__ALLOW_ANY_MODIFIER_KEYS __ON
	__EVENT __MOUSE_RELEASE
	__BUTTON 1
	__ACTION __A_EXEC Eterm
	__NEXT_ACTION
	__BUTTON 2
	__ACTION __A_EXEC xterm -ls 
	__NEXT_ACTION
	__BUTTON 3
	__ACTION __A_EXEC rxvt
__END
__ACLASS __BGN
        __NAME TASK_GIMP
        __TOOLTIP_TEXT "Start The Gimp"
        __TYPE __TYPE_NORMAL
        __ALLOW_ANY_MODIFIER_KEYS __ON
	__ALLOW_ANY_BUTTON __ON
        __EVENT __MOUSE_RELEASE
        __ACTION __A_EXEC gimp
__END

__ACLASS __BGN
        __NAME TASK_NETSCAPE
        __TOOLTIP_TEXT "1: Netscape, 2: Licq, 3: KPPP"
        __TYPE __TYPE_NORMAL
        __ALLOW_ANY_MODIFIER_KEYS __ON
        __EVENT __MOUSE_RELEASE
        __BUTTON 1
        __ACTION __A_EXEC netscape
        __NEXT_ACTION
        __BUTTON 2
        __ACTION __A_EXEC licq
        __NEXT_ACTION
        __BUTTON 3
        __ACTION __A_EXEC kppp
__END

__ACLASS __BGN
        __NAME TASK_TEXT
        __TOOLTIP_TEXT "1: kedit, 2: gedit, 3: WordPerfect"
        __TYPE __TYPE_NORMAL
        __ALLOW_ANY_MODIFIER_KEYS __ON
        __EVENT __MOUSE_RELEASE
        __BUTTON 1
        __ACTION __A_EXEC kedit
        __NEXT_ACTION
        __BUTTON 2
        __ACTION __A_EXEC gedit
        __NEXT_ACTION
        __BUTTON 3
        __ACTION __A_EXEC abiword
__END


__ACLASS __BGN
        __NAME TASK_MUSIC
        __TOOLTIP_TEXT "1: x11amp, 2: cdplay, 3: xmixer"
        __TYPE __TYPE_NORMAL
        __ALLOW_ANY_MODIFIER_KEYS __ON
        __EVENT __MOUSE_RELEASE
        __BUTTON 1
        __ACTION __A_EXEC xmms
        __NEXT_ACTION
        __BUTTON 2
        __ACTION __A_EXEC cdplay
        __NEXT_ACTION
        __BUTTON 3
        __ACTION __A_EXEC xmixer
__END

__ACLASS __BGN
        __NAME TASK_PLATINUMCONF
        __TOOLTIP_TEXT "1: install platinumConf"
        __TYPE __TYPE_NORMAL
        __ALLOW_ANY_MODIFIER_KEYS __ON
        __EVENT __MOUSE_RELEASE
        __BUTTON 1
        __ACTION __A_EXEC Eterm -e /usr/local/enlightenment/themes//ApplePlatinum/platinumConf
	__NEXT_ACTION
__END

__ACLASS __BGN
	__NAME TASK_HEAGYCOM
	__TOOLTIP_TEXT "Visit the ApplePlatinum web site"
	__TYPE __TYPE_NORMAL
	__ALLOW_ANY_MODIFIER_KEYS __ON
        __EVENT __MOUSE_RELEASE
        __BUTTON 1
        __ACTION __A_EXEC netscape http://heagy.com/etheme/
	__NEXT_ACTION
__END

__ACLASS __BGN
      __NAME TASK_CONFIG
      __TOOLTIP_TEXT "i dont really care"
      __TYPE __TYPE_NORMAL
      __ALLOW_ANY_MODIFIER_KEYS __ON
      __EVENT __MOUSE_RELEASE
      __BUTTON 1
      __ACTION __A_EXEC e-conf
      __NEXT_ACTION
 __END
